<?php

/****************************************
register project post type
****************************************/
if (!function_exists('slope_register_project_type')) {
  function slope_register_project_type() {
    global $gfxpartner_slope;
    
    // project rewrite
    $rewrite_project = 'project';
    if ( !empty( $gfxpartner_slope['project_permalink_text'] ) ) {
      $rewrite_project = $gfxpartner_slope['project_permalink_text'];
    }

    // service rewrite
    $rewrite_service = 'service';
    if ( !empty( $gfxpartner_slope['service_permalink_text'] ) ) {
      $rewrite_service = $gfxpartner_slope['service_permalink_text'];
    }

    // project public
    $project_public = true;
    if ( empty( $gfxpartner_slope['project_public'] ) ) {
      $project_public = false;
    }

    // service public
    $service_public = true;
    if (  empty( $gfxpartner_slope['service_public'] ) ) {
      $service_public = false;
    }

    $project_labels = array(
      'name'               => __( 'Projects', 'slope-core' ),
      'singular_name'      => __( 'project', 'slope-core' ),
      'add_new'            => __( 'Add New', 'slope-core' ),
      'add_new_item'       => __( 'Add New Project', 'slope-core' ),
      'edit_item'          => __( 'Edit Project', 'slope-core' ),
      'new_item'           => __( 'New Project', 'slope-core' ),
      'all_items'          => __( 'All Projects', 'slope-core' ),
      'view_item'          => __( 'View Project', 'slope-core' ),
      'search_items'       => __( 'Search Projects', 'slope-core' ),
      'not_found'          => __( 'No projects found', 'slope-core' ),
      'not_found_in_trash' => __( 'No projects found in the Trash', 'slope-core' ), 
      
      'menu_name'          => 'Projects'
    );
    $product_args = array(
      'labels'        => $project_labels,
      'description'   => __('Holds our projects and project specific data', 'slope-core'),
      'public'        => $project_public,
      'show_ui'       => true,
      'menu_position' => 5,
      'supports'      => array( 'title', 'editor', 'thumbnail' ),
      'has_archive'   => true,
      'show_in_nav_menus' => true,
      'menu_icon'     => 'dashicons-desktop',
      'show_in_rest' => true,
      'rewrite' => array( 'slug' => esc_html( $rewrite_project )  )
    );
    register_post_type( 'project', $product_args );
    $service_labels = array(
      'name'               => __( 'Services', 'slope-core' ),
      'singular_name'      => __( 'service', 'slope-core' ),
      'add_new'            => __( 'Add New', 'slope-core' ),
      'add_new_item'       => __( 'Add New Service', 'slope-core' ),
      'edit_item'          => __( 'Edit Service', 'slope-core' ),
      'new_item'           => __( 'New Service', 'slope-core' ),
      'all_items'          => __( 'All Services', 'slope-core' ),
      'view_item'          => __( 'View Service', 'slope-core' ),
      'search_items'       => __( 'Search Services', 'slope-core' ),
      'not_found'          => __( 'No services found', 'slope-core' ),
      'not_found_in_trash' => __( 'No services found in the Trash', 'slope-core' ), 
      
      'menu_name'          => 'Services'
    );
    $service_args = array(
      'labels'        => $service_labels,
      'description'   => __( 'Holds our services and services specific data', 'slope-core'),
      'public'        => $service_public,
      'show_ui'       => true,
      'menu_position' => 5,
      'supports'      => array( 'title', 'editor', 'thumbnail' ),
      'has_archive'   => true,
      'show_in_nav_menus' => true,
      'menu_icon'     => 'dashicons-admin-appearance',
      'show_in_rest' => true,
      'rewrite' => array( 'slug' => esc_html( $rewrite_service )  )
    );
    register_post_type( 'service', $service_args );
  }
}
add_action( 'init', 'slope_register_project_type' );